

# GetGroupProfile


Gets a group profile in Amazon DataZone.

## Request Syntax


```
GET /v2/domains/domainIdentifier/group-profiles/groupIdentifier HTTP/1.1
```

## URI Request Parameters


The request uses the following URI parameters.

 ** [domainIdentifier](#API_GetGroupProfile_RequestSyntax) **   <a name="datazone-GetGroupProfile-request-uri-domainIdentifier"></a>
The identifier of the Amazon DataZone domain in which the group profile exists.  
Pattern: `dzd[-_][a-zA-Z0-9_-]{1,36}`   
Required: Yes

 ** [groupIdentifier](#API_GetGroupProfile_RequestSyntax) **   <a name="datazone-GetGroupProfile-request-uri-groupIdentifier"></a>
The identifier of the group profile.  
Pattern: `.*(^([0-9a-f]{10}-|)[A-Fa-f0-9]{8}-[A-Fa-f0-9]{4}-[A-Fa-f0-9]{4}-[A-Fa-f0-9]{4}-[A-Fa-f0-9]{12}$|[\p{L}\p{M}\p{S}\p{N}\p{P}\t\n\r ]+).*`   
Required: Yes

## Request Body


The request does not have a request body.

## Response Syntax


```
HTTP/1.1 200
Content-type: application/json

{
   "domainId": "string",
   "groupName": "string",
   "id": "string",
   "status": "string"
}
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [domainId](#API_GetGroupProfile_ResponseSyntax) **   <a name="datazone-GetGroupProfile-response-domainId"></a>
The identifier of the Amazon DataZone domain in which the group profile exists.  
Type: String  
Pattern: `dzd[-_][a-zA-Z0-9_-]{1,36}` 

 ** [groupName](#API_GetGroupProfile_ResponseSyntax) **   <a name="datazone-GetGroupProfile-response-groupName"></a>
The name of the group for which the specified group profile exists.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 1024.  
Pattern: `[a-zA-Z_0-9+=,.@-]+` 

 ** [id](#API_GetGroupProfile_ResponseSyntax) **   <a name="datazone-GetGroupProfile-response-id"></a>
The identifier of the group profile.  
Type: String  
Pattern: `([0-9a-f]{10}-|)[A-Fa-f0-9]{8}-[A-Fa-f0-9]{4}-[A-Fa-f0-9]{4}-[A-Fa-f0-9]{4}-[A-Fa-f0-9]{12}` 

 ** [status](#API_GetGroupProfile_ResponseSyntax) **   <a name="datazone-GetGroupProfile-response-status"></a>
The identifier of the group profile.  
Type: String  
Valid Values: `ASSIGNED | NOT_ASSIGNED` 

## Errors


For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** InternalServerException **   
The request has failed because of an unknown error, exception or failure.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource cannot be found.  
HTTP Status Code: 404

 ** ThrottlingException **   
The request was denied due to request throttling.  
HTTP Status Code: 429

 ** UnauthorizedException **   
You do not have permission to perform this action.  
HTTP Status Code: 401

 ** ValidationException **   
The input fails to satisfy the constraints specified by the AWS service.  
HTTP Status Code: 400

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/datazone-2018-05-10/GetGroupProfile) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/datazone-2018-05-10/GetGroupProfile) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/datazone-2018-05-10/GetGroupProfile) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/datazone-2018-05-10/GetGroupProfile) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/datazone-2018-05-10/GetGroupProfile) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/datazone-2018-05-10/GetGroupProfile) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/datazone-2018-05-10/GetGroupProfile) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/datazone-2018-05-10/GetGroupProfile) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/datazone-2018-05-10/GetGroupProfile) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/datazone-2018-05-10/GetGroupProfile) 